# This config file is about the names that appear over heads! A fair bit of player disguise stuff is in players.yml however

# This is only called into action when the disguise is constructed using the commands.
# And when the disguise supports that. This will not be used at all for plugins constructing the disguises for instance.
# Such as prophunt. Its also false because its kind of a retarded feature.
# This is pretty simple. It shows the players displayname (Name as it appears in chat) above their head.
# This also overrides any custom name they have set in their disguise options.
# This does not take effect on player disguises
# Permission to disable is libsdisguises.disablename
ShowNamesAboveDisguises: false

# This supports the above option.
# If this is true, then the name shown above the head appears regardless of if you are looking at the disguise directly or not.
NameAboveHeadAlwaysVisible: true

# What should the name be shown as?
# Two placeholders can be used.
# %simple% = The very basic name, 'libraryaddict'
# %complex% = Name will be grabbed from scoreboard or display name if scoreboard fails.
NameAboveDisguise: '%complex%'

# If doing ARMORSTANDS in the above option, should CustomNames for non-player disguises be overridden to use armorstands too?
# This allows multiline names if you have purchased the plugin
# Use \n for a new line, though if you're doing it in a config you may need to use \\n as " and ' are treated differently.
OverrideCustomNames: true

# VANILLA - Names are limited to 16 chars but playernames can't be changed without resending disguise
# TEAMS - Names are limited to 32 chars but can be changed willy nilly
# EXTENDED - Names are limited to 48 chars but can't be changed without resending disguise
# ARMORSTANDS - Names are limited to 256 chars, uses a mix of armorstands and teams to do this. Slightly hacky.
#     Armorstands on overloaded servers has a tiny chance of briefly becoming desynced from the player disguise
#     Names will always show (ignores setCustomNameVisible), even if entity is invisible using potion effects - TEXT_DISPLAY too!
#     Will act weirdly on Bedrock Minecraft, TEXT_DISPLAY is recommended instead
#     Scoreboard displays won't appear (eg, health), use one of the above options instead
# TEXT_DISPLAY - Names are limited to 1000+ chars, uses a Text Display -> riding invisible pufferfish (for position) -> riding disguised entity, via packets
#     If server is older than 1.19.4+, this will revert to ARMORSTANDS behavior
#     Names remain perfectly in sync with the disguised entity, but multi-line names are rendered as a giant text block
# With ARMORSTANDS/TEXT_DISPLAY and Premium, you can also use multiple lines in the name, use \n as a seperator.
# It's recommended that you restart the server after changing this setting, or at minimum, reapply disguises to see the changes.
# Default is ARMORSTANDS
PlayerNames: 'ARMORSTANDS'

# More options in case you want to disable a specific setting of the scoreboard
# You can customize self disguises scoreboard in players.yml
Scoreboard:
  # Should it modify the scoreboard to turn collisions off?
  Collisions: true
  # Should it modify the scoreboard teams to disable seeing friendly invisibles?
  DisableFriendlyInvisibles: true
  # Should the scoreboard warn you if it detects a potential conflict?
  # If self disguises are disabled, or the scoreboard is using IGNORE_SCOREBOARD then this does nothing.
  WarnConflict: true
  # When disguising as a player, should the prefix/suffix of the player disguise name copy the team info?
  # Only takes effect if using PlayerNames TEAMS or ARMORSTANDS
  CopyPlayerTeamInfo: true
  # Should player disguises modify scoreboards to add their 'health'? So scoreboards objectives with criteria 'health' still works?
  # If 'ShowPlayerDisguisesInTab' is false and 'PlayerNames' is set to 'ARMORSTANDS', there is no reason to turn this on as it won't be seen (unless sidebar)
  # If enabled, this can have a performance impact. Instead, an alternative is to manually include the health in the playername, then updating name as needed.
  # Eg, in MythicMobs you could use: `Display: "Terrible Bandit\nHealth: <caster.hp> / <caster.mhp>"` along with a trigger for damage for updating the name.
  # Refer to MythicMob's own documentation on how to use their 'setname' mechanic.
  # For multiple lines, refer to 'PlayerNames' and 'ARMORSTANDS', it does require Lib's Disguises premium.
  # You are not forced to use multiple lines, you can enable this. But most servers will not need or want this.
  UpdateHealth: false

# Hide players in tab when disguised? This means a disguised player cannot be seen when you press tab! This can be toggled on/off per disguise
HideDisguisedPlayersFromTab: false

# Always show player disguises in tab? The names will continue to appear in tab until the disguise is removed.
ShowPlayerDisguisesInTab: false

# When disguised, should a message be displayed to the player? If so, where?
# The message can be customized in translations
# BOSS_BAR is not supported in 1.12!
# NONE, BOSS_BAR, ACTION_BAR
NotifyBar: 'ACTION_BAR'
# If using boss bar, these two options come into play
# https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/boss/BarColor.html
BossBarColor: 'GREEN'
# https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/boss/BarStyle.html
BossBarStyle: 'SOLID'